

# GetPolicyGenerationSummary
<a name="API_GetPolicyGenerationSummary"></a>

Retrieves a metadata-only summary of a specific policy generation request without decrypting customer content. This lightweight read operation returns resource identifiers, status, timestamps, and findings, but does not include status reasons. Because this operation does not require access to the customer's AWS KMS key, it is suitable for resource discovery, inventory, and integration scenarios where only metadata is needed.

## Request Syntax
<a name="API_GetPolicyGenerationSummary_RequestSyntax"></a>

```
GET /policy-engines/{{policyEngineId}}/policy-generation-summaries/{{policyGenerationId}} HTTP/1.1
```

## URI Request Parameters
<a name="API_GetPolicyGenerationSummary_RequestParameters"></a>

The request uses the following URI parameters.

 ** [policyEngineId](#API_GetPolicyGenerationSummary_RequestSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-request-uri-policyEngineId"></a>
The identifier of the policy engine associated with the policy generation request.  
Length Constraints: Minimum length of 12. Maximum length of 59.  
Pattern: `[A-Za-z][A-Za-z0-9_]*-[a-z0-9_]{10}`   
Required: Yes

 ** [policyGenerationId](#API_GetPolicyGenerationSummary_RequestSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-request-uri-policyGenerationId"></a>
The unique identifier of the policy generation request to retrieve the summary for.  
Length Constraints: Minimum length of 12. Maximum length of 59.  
Pattern: `[A-Za-z][A-Za-z0-9_]*-[a-z0-9_]{10}`   
Required: Yes

## Request Body
<a name="API_GetPolicyGenerationSummary_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetPolicyGenerationSummary_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "createdAt": "string",
   "findings": "string",
   "name": "string",
   "policyEngineId": "string",
   "policyGenerationArn": "string",
   "policyGenerationId": "string",
   "resource": { ... },
   "status": "string",
   "updatedAt": "string"
}
```

## Response Elements
<a name="API_GetPolicyGenerationSummary_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [createdAt](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-createdAt"></a>
The timestamp when the policy generation request was created.  
Type: Timestamp

 ** [findings](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-findings"></a>
The findings from the policy generation process, if available.  
Type: String

 ** [name](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-name"></a>
The customer-assigned name for the policy generation request.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 48.  
Pattern: `[A-Za-z][A-Za-z0-9_]*` 

 ** [policyEngineId](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-policyEngineId"></a>
The identifier of the policy engine associated with this policy generation.  
Type: String  
Length Constraints: Minimum length of 12. Maximum length of 59.  
Pattern: `[A-Za-z][A-Za-z0-9_]*-[a-z0-9_]{10}` 

 ** [policyGenerationArn](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-policyGenerationArn"></a>
The Amazon Resource Name (ARN) of the policy generation request.  
Type: String  
Length Constraints: Minimum length of 103. Maximum length of 210.  
Pattern: `arn:aws[-a-z]{0,7}:bedrock-agentcore:[a-z0-9-]{9,15}:[0-9]{12}:policy-engine/[a-zA-Z][a-zA-Z0-9-_]{0,47}-[a-zA-Z0-9_]{10}/policy-generation/[a-zA-Z][a-zA-Z0-9-_]{0,47}-[a-zA-Z0-9_]{10}` 

 ** [policyGenerationId](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-policyGenerationId"></a>
The unique identifier of the policy generation request.  
Type: String  
Length Constraints: Minimum length of 12. Maximum length of 59.  
Pattern: `[A-Za-z][A-Za-z0-9_]*-[a-z0-9_]{10}` 

 ** [resource](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-resource"></a>
The resource information associated with the policy generation.  
Type: [Resource](API_Resource.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.

 ** [status](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-status"></a>
The current status of the policy generation request.  
Type: String  
Valid Values: `GENERATING | GENERATED | GENERATE_FAILED | DELETE_FAILED` 

 ** [updatedAt](#API_GetPolicyGenerationSummary_ResponseSyntax) **   <a name="bedrockagentcorecontrol-GetPolicyGenerationSummary-response-updatedAt"></a>
The timestamp when the policy generation was last updated.  
Type: Timestamp

## Errors
<a name="API_GetPolicyGenerationSummary_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
This exception is thrown when a request is denied per access permissions  
HTTP Status Code: 403

 ** InternalServerException **   
This exception is thrown if there was an unexpected error during processing of request  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
This exception is thrown when a resource referenced by the operation does not exist  
HTTP Status Code: 404

 ** ThrottlingException **   
This exception is thrown when the number of requests exceeds the limit  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by the service.  
HTTP Status Code: 400

## See Also
<a name="API_GetPolicyGenerationSummary_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-agentcore-control-2023-06-05/GetPolicyGenerationSummary) 